Bug 193992 - Installing gtk2-2.9.1-2, Warning messages happen in gtk2 programs.
Installing gtk2-2.9.1-2, Warning messages happen in gtk2 programs.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-04 01:38 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 10:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-06-04 01:38:28 EDT
Description of problem:

$gedit
sys:1: GtkWarning: Error loading theme icon for stock: Failed to open file '':
No such file or directory
sys:1: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (gedit:10715): CRITICAL **: render_icon: assertion `base_pixbuf != NULL' failed
sys:1: GtkWarning: gtk_style_render_icon: assertion `pixbuf != NULL' failed
sys:1: Warning: g_object_ref: assertion `G_IS_OBJECT (object)' failed

** (gedit:10715): CRITICAL **: render_icon: assertion `base_pixbuf != NULL' failed

** (gedit:10715): CRITICAL **: render_icon: assertion `base_pixbuf != NULL' failed

** (gedit:10715): CRITICAL **: render_icon: assertion `base_pixbuf != NULL' failed

$rpm -qp --scripts gtk2-2.9.1-1.i386.rpm
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
/usr/bin/update-gdk-pixbuf-loaders i386-redhat-linux
/usr/bin/update-gtk-immodules i386-redhat-linux
postuninstall scriptlet (using /bin/sh):
/sbin/ldconfig

$ sudo rpm -q --scripts gtk2-2.9.1-2
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
/usr/bin/update-gdk-pixbuf-loaders i686-redhat-linux-gnu
/usr/bin/update-gtk-immodules i686-redhat-linux-gnu
postuninstall scriptlet (using /bin/sh):
/sbin/ldconfig

Wrong scripts in gtk2-2.9.1-2,maybe?

Version-Release number of selected component (if applicable):
2.9.1-2

How reproducible:
always

Steps to Reproduce:
1. Excuete  gtk2 program
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2006-06-07 10:45:45 EDT
should be fixed in 2.9.2-3

Note You need to log in before you can comment on or make changes to this bug.